Bug 979649 - [abrt] grass-6.4.2-4.fc18: plot.py:145:__init__:ValueError: could not convert string to float: *
[abrt] grass-6.4.2-4.fc18: plot.py:145:__init__:ValueError: could not convert...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grass (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devrim GÜNDÜZ
Fedora Extras Quality Assurance
abrt_hash:b06d55b2c769c8604825cf77c46...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 01:04 EDT by harry
Modified: 2014-02-05 17:00 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:00:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (958 bytes, text/plain)
2013-06-29 01:04 EDT, harry
no flags Details
File: core_backtrace (496 bytes, text/plain)
2013-06-29 01:04 EDT, harry
no flags Details
File: environ (1.54 KB, text/plain)
2013-06-29 01:04 EDT, harry
no flags Details

  None (edit)
Description harry 2013-06-29 01:04:23 EDT
Version-Release number of selected component:
grass-6.4.2-4.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        python /usr/lib64/grass-6.4.2/etc/wxpython/wxgui.py
dso_list:       wxPython-2.8.12.0-3.fc18.x86_64
executable:     /usr/lib64/grass-6.4.2/etc/wxpython/wxgui.py
kernel:         3.9.6-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
plot.py:145:__init__:ValueError: could not convert string to float: *

Traceback (most recent call last):
  File "/usr/lib64/grass-6.4.2/etc/wxpython/gui_modules/profile.py", line 468, in OnCreateProfile
    self.DrawPlot()
  File "/usr/lib64/grass-6.4.2/etc/wxpython/gui_modules/profile.py", line 490, in DrawPlot
    marker=self.properties['marker']['type'])
  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/lib/plot.py", line 342, in __init__
    PolyPoints.__init__(self, points, attr)
  File "/usr/lib64/python2.7/site-packages/wx-2.8-gtk2-unicode/wx/lib/plot.py", line 145, in __init__
    self._points = _Numeric.array(points).astype(_Numeric.Float64)
ValueError: could not convert string to float: *

Local variables in innermost frame:
self: <wx.lib.plot.PolyMarker instance at 0x451b8c0>
points: [(0.0, u'*')]
attr: {'marker': 'triangle', 'colour': wx.Colour(0, 0, 0, 255), 'fillstyle': 106, 'legend': ' Segment break', 'size': 2}
Comment 1 harry 2013-06-29 01:04:28 EDT
Created attachment 766795 [details]
File: backtrace
Comment 2 harry 2013-06-29 01:04:31 EDT
Created attachment 766796 [details]
File: core_backtrace
Comment 3 harry 2013-06-29 01:04:34 EDT
Created attachment 766797 [details]
File: environ
Comment 4 markusN 2013-08-01 03:11:30 EDT
The new stable 6.4.3 version has now been published,
potentially addressing this issue (say, we cannot reproduce it any more):

http://grass.osgeo.org/news/28/15/Stable-GRASS-GIS-6-4-3-released/
Comment 5 Volker Fröhlich 2013-10-06 12:38:43 EDT
6.4.3 is in updates-testing for Fedora 19 and up. Please test this release, if possible.

If you're on F19, you can try by running the following as root:

yum --enablerepo=updates-testing update grass
Comment 6 Fedora End Of Life 2013-12-21 09:11:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 17:00:26 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.